diff --git b/sysdeps/linux/pci.c a/sysdeps/linux/pci.c
index 1101f52..42a20d3 100644
--- b/sysdeps/linux/pci.c
+++ a/sysdeps/linux/pci.c
@@ -160,7 +160,7 @@ _discover_get_pci_raw_sys(void)
     FILE *f;
     DIR *pciDir;
     struct dirent *pci_device_entry;
-    unsigned int len;
+    size_t len = 0;
     char *device_dir, *line, *class, *vendor, *model, *p;
     char **device_dir_list = NULL;
     size_t device_dir_list_len, device_dir_index, device_dir_index2;
